;############## Calcuzap by Patrick Davidson - TI-84 Plus CSE specific

#include        ti84pcse.inc
#define WORDLEN 2
#define scroll_message  $4024
#define tileData scroll_message+1024+40

        .org    $8100
        
        call    Display_Org
        call    main
        jp      Display_Normal
        
#include        data.asm       
#include        calcuzap.asm
#include        gfx.asm
#include        text.asm
#include        bullets.asm
#include        enemies.asm
#include        epattern.asm
#include        erandom.asm
#include        collide.asm
#include        hitenemy.asm
#include        ebullets.asm
#include        eshoot.asm
#include        level.asm
#include        title.asm
#include        move.asm
#include        hiscore.asm
#include        images.i
scroll_table:
#include        scroll_table.i

#if     ($ > saved_flag)        
        .echo   "CSE Main code overflow of available memory by ",eval($ - saved_flag)
        .error  "!!!!!!!!!!!!!!!!!!!! DISASTER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
#else
        .echo   "Bytes left over for CSE main code: ",eval(saved_flag - $)
#endif

.end